Package com.pixelmed.display

# Class SingleImagePanel.LeftMouseMode

java.lang.Object
com.pixelmed.display.SingleImagePanel.LeftMouseMode

Enclosing class:
  SingleImagePanel

protected class SingleImagePanel.LeftMouseMode extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`mode`
`static final int`
`PANNING`
`static final int`
`WINDOWING`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPanning()`
`boolean`
`isWindowing()`
`void`
`setPanning()`
`void`
`setWindowing()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WINDOWING

public static final int WINDOWING

See Also:
  - Constant Field Values

### PANNING

public static final int PANNING

See Also:
  - Constant Field Values

### mode

protected int mode

## Method Details

### setWindowing

public void setWindowing()

### setPanning

public void setPanning()

### isWindowing

public boolean isWindowing()

### isPanning

public boolean isPanning()